 src/blacklist-dbus.vala               |  4 ++--
 src/security-widget.vala              |  2 +-
 src/unified-privacy-applications.vala | 16 ++++++++--------
 src/unified-privacy.vala              |  4 ++--
 4 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/src/blacklist-dbus.vala b/src/blacklist-dbus.vala
index 355a684..fd165e3 100644
--- a/src/blacklist-dbus.vala
+++ b/src/blacklist-dbus.vala
@@ -137,7 +137,7 @@ namespace Alm {
 			return false;
 		}
 
-		public async void find_events (string id, TreeIter iter, ListStore store)
+		public async void find_events (string id, TreeIter iter, Gtk.ListStore store)
 		{
 	     	Event event = new Event();
 	    	event.manifestation = Zeitgeist.ZG.USER_ACTIVITY;
@@ -165,7 +165,7 @@ namespace Alm {
 			store.set_value(iter, 5, counter);
 		}
 
-		public void get_count_for_app (string app_id, TreeIter iter, ListStore store) {
+		public void get_count_for_app (string app_id, TreeIter iter, Gtk.ListStore store) {
 			find_events(app_id, iter, store);
 		}
 		
diff --git a/src/security-widget.vala b/src/security-widget.vala
index 4394924..e983c15 100644
--- a/src/security-widget.vala
+++ b/src/security-widget.vala
@@ -39,7 +39,7 @@ namespace Alm {
 
 		private void set_up_ui () {
 
-			var liststore_delay = new ListStore (2, typeof (string), typeof (int));
+			var liststore_delay = new Gtk.ListStore (2, typeof (string), typeof (int));
 			TreeIter iter;
 			liststore_delay.append (out iter);
 			liststore_delay.set (iter, 0, "1 second", 1, 0);
diff --git a/src/unified-privacy-applications.vala b/src/unified-privacy-applications.vala
index 9b06f44..a4966d3 100644
--- a/src/unified-privacy-applications.vala
+++ b/src/unified-privacy-applications.vala
@@ -60,7 +60,7 @@ namespace Alm {
 			}
 		}
 
-		public void get_count_for_app(string id, TreeIter iter, ListStore store) {
+		public void get_count_for_app(string id, TreeIter iter, Gtk.ListStore store) {
 			this.blacklist_interface.get_count_for_app(id, iter, store);
 		}
 
@@ -131,7 +131,7 @@ namespace Alm {
 	private class ApplicationsTreeView : Gtk.Box {
 	
 		private ApplicationBlacklist app_blacklist;
-		private ListStore store;
+		private Gtk.ListStore store;
 		private TreeView treeview;
 		
 		HashTable<string, AppChooseInfo> blocked_apps;
@@ -145,7 +145,7 @@ namespace Alm {
 			N_COLS
 		}
 
-		public ListStore liststore {
+		public Gtk.ListStore liststore {
 			get {
 				return this.store;
 			}
@@ -160,7 +160,7 @@ namespace Alm {
 			this.blocked_apps = blocked;
 			this.unblocked_apps = unblocked;
 
-			this.store = new ListStore (TreeViewCols.N_COLS,
+			this.store = new Gtk.ListStore (TreeViewCols.N_COLS,
 										typeof (string),
 										typeof (Gdk.Pixbuf),
 										typeof (string));
@@ -292,7 +292,7 @@ namespace Alm {
 	private class AppSelectionTreeView : Gtk.Box {
 
 		private ApplicationBlacklist app_blacklist;
-		private ListStore store;
+		private Gtk.ListStore store;
 		private TreeView treeview;
 		
 		enum TreeViewCols
@@ -312,7 +312,7 @@ namespace Alm {
 			}
 		}
 
-		public ListStore liststore {
+		public Gtk.ListStore liststore {
 			get {
 				return store;
 			}
@@ -323,7 +323,7 @@ namespace Alm {
 			
 			this.app_blacklist = app_blacklist;
 			
-			this.store = new ListStore (TreeViewCols.N_COLS,
+			this.store = new Gtk.ListStore (TreeViewCols.N_COLS,
 										typeof (string),
 										typeof (Gdk.Pixbuf),
 										typeof (string),
@@ -426,7 +426,7 @@ namespace Alm {
 			}
 		}
 
-		public ListStore liststore {
+		public Gtk.ListStore liststore {
 			get {
 				return treeview.liststore;
 			}
diff --git a/src/unified-privacy.vala b/src/unified-privacy.vala
index 0d46370..c64f78d 100644
--- a/src/unified-privacy.vala
+++ b/src/unified-privacy.vala
@@ -55,7 +55,7 @@ namespace Alm {
 		
 		//General stuffs
 		private TreeView exception_list;
-		private ListStore exception_list_store;
+		private Gtk.ListStore exception_list_store;
 		
 		private Switch record_button;
 		
@@ -262,7 +262,7 @@ namespace Alm {
 			exception_vbox.pack_start (al2, false, false, 5);
 
 			// Exception TreeView
-			this.exception_list_store = new ListStore (4, 
+			this.exception_list_store = new Gtk.ListStore (4, 
 				typeof(string),      // Full file path of application desktop file.
 				typeof(Gdk.Pixbuf?), // Pixbuf
 				typeof(string),      // File basename or ApplicationName
